PHP is one of the most widely used programming languages. It is extremely popular because it’s free software, which can be used to build interactive sites such as community web portals, web shops or e-teaching websites instead of static HTML-based websites. A PHP module should be activated on the web server where a PHP-driven site is hosted so that its code can be ‘deciphered’. Since there are no license fees for this type of module and the language provides endless options for the applications that you set up, there’re hundreds of millions of PHP sites. Besides, there’re heaps of PHP-based scripts, which you can use for your websites without needing to have any programming skills. Considering the fact that there are a few PHP versions, you should verify whether the exact same version that you used while building your site is available on the server as well.
PHP 4 and PHP 5 Support in Cloud Website Hosting
We’ve made a decision not to restrict our present and potential customers from picking what PHP version their websites will be using, which implies that if you buy a cloud website hosting plan from our company, you will be able to pick between versions 5.5, 5.4, 5.3, 5.2 and 4, not only for the web hosting account in general, but also for each domain hosted by you. This can be accomplished with only one single click from our custom Hepsia Control Panel via which all hosting accounts are administered, which is why you won’t need to possess any coding or technical knowledge. You’ll be able to manage websites based on both new and old PHP scripts without having to cope with any problems, so if you want to drop your present web host and switch over to us, you can rest assured that all the websites that you have set up over the years will continue to run flawlessly.
PHP 4 and PHP 5 Support in Semi-dedicated Hosting
Even in case your sites were built with an earlier version of PHP, you will be able to host them in a semi-dedicated server account from us, since we support several versions running at the same time on our servers and each one of them can be enabled for your account with no more than a click from our custom-built Hepsia hosting Control Panel. In addition to the most recent PHP 5.5 and PHP 5.4, we also offer support for 5.3, 5.2 and the older PHP 4, which has already been dropped by the vast majority of hosting suppliers, but we strongly deem that you shouldn’t be compelled to modify a website that took several years to develop, as older programming language syntax doesn’t automatically equal security flaws. On the contrary, a well-maintained website using PHP 4 can be more reliable than an inadequately maintained one using PHP 5. For your convenience, we’ll also provide you with the possibility to specify a different version of PHP for each individual site within your account.